%define api 1.14
%define lib_major 0
%define lib_name %mklibname glom %api %{lib_major}
%define develname %mklibname -d glom
%define postgresql 8.4

Summary:	Easy-to-use database designer and user interface
Name:		glom
Version:	1.14.2
Release:	%mkrel 1
Group:		Development/Databases
License:	GPLv2+
URL:		http://www.glom.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glom/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libbakery2.6-devel
BuildRequires:	desktop-file-utils gettext intltool
BuildRequires:	libgdamm4-devel >= 3.99.15
BuildRequires:	gda4.0-devel >= 4.0.4
%py_requires -d
BuildRequires:	gnome-python-gda gnome-python-gda-devel >= 2.25.2
BuildRequires:	libgnomecanvasmm2.6-devel >= 2.10
BuildRequires:	boost-devel
BuildRequires:	libgnome2-devel >= 2.6.0
BuildRequires:	libxslt-devel >= 1.1.10
BuildRequires:	pygtk2.0-devel >= 2.6
BuildRequires:	gtkmm2.4-devel >= 2.19.4
BuildRequires:	gnome-doc-utils
BuildRequires:	scrollkeeper
BuildRequires:	startup-notification-devel
BuildRequires:	iso-codes
BuildRequires:	libxslt-proc
BuildRequires:	postgresql%{postgresql}-devel postgresql%{postgresql}-plpython postgresql%{postgresql}-server postgresql%{postgresql}-plpython postgresql%{postgresql}-plpgsql postgresql%{postgresql}-pl postgresql%{postgresql}-contrib
BuildRequires:	gettext-devel
BuildRequires:	gnome-python-extras
BuildRequires:	libepc-devel
BuildRequires:	goocanvasmm-devel >= 0.13.0
BuildRequires:	libgtksourceviewmm-2.0-devel
BuildRequires:	avahi-ui-devel
#gw for docs building
BuildRequires:	python-sphinx
Requires:	gnome-python-gda
Requires:	libgda4.0-postgres
Requires:	postgresql%{postgresql} postgresql%{postgresql}-plpython postgresql%{postgresql}-server postgresql%{postgresql}-plpython postgresql%{postgresql}-plpgsql postgresql%{postgresql}-pl postgresql%{postgresql}-contrib

%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the postgresql%{postgresql} database backend.

%package -n %{lib_name}
Summary:	A support library for accessing Glom data
Group:		System/Libraries
Obsoletes:	%mklibname glom-1_ 0

%description -n %{lib_name}
A support library for accessing Glom data.

%package -n %{develname}
Summary:        Development files for Glom
Group:          Development/Other
Conflicts:	%name < 0.17.1
Requires:	%{lib_name} = %version

%description -n %{develname}
Development files for Glom.

%prep
%setup -q

%build
#else the configure check for boost::python fails in 1.3.4:
%define _disable_ld_as_needed 1
%configure2_5x \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
	--with-postgres-utils=%{_bindir}
#%make
#gw https://bugzilla.gnome.org/show_bug.cgi?id=600944
make -j4


%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#rm -f ${RPM_BUILD_ROOT}%{_libdir}/libglom.so

%if %mdkversion < 200900
%post
%update_scrollkeeper
%{update_desktop_database}
%update_mime_database
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{py_platsitedir}/%{name}_1_14.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libglom-%api.so.%{lib_major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libglom-%api.so
%_includedir/%name-%api
%_libdir/pkgconfig/%name-%api.pc
%doc %_datadir/doc/pyglom*
%doc %_datadir/doc/libglom-%api
%doc %_datadir/devhelp/books/*


%changelog
* Mon May 03 2010 Götz Waschk <waschk@mandriva.org> 1.14.2-1mdv2010.1
+ Revision: 541702
- update to new version 1.14.2

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 1.14.1-1mdv2010.1
+ Revision: 539559
- new version
- update build deps
- update docs list

* Wed Apr 14 2010 Götz Waschk <waschk@mandriva.org> 1.14.0-1mdv2010.1
+ Revision: 534714
- new version
- new major

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 1.12.7-1mdv2010.1
+ Revision: 527429
- update to new version 1.12.7

* Fri Feb 05 2010 Götz Waschk <waschk@mandriva.org> 1.12.6-1mdv2010.1
+ Revision: 501112
- update to new version 1.12.6

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 1.12.5-1mdv2010.1
+ Revision: 494013
- update to new version 1.12.5

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 1.12.4-1mdv2010.1
+ Revision: 484658
- hardcode postgresql to 8.4, else 8.5 from contrib is tried
- update to new version 1.12.4

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2010.1
+ Revision: 461097
- work around parallel make bug
- update to new version 1.12.3

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdv2010.0
+ Revision: 456744
- new version

* Thu Oct 01 2009 Götz Waschk <waschk@mandriva.org> 1.12.0-2mdv2010.0
+ Revision: 452104
- add missing dep on gda python module

* Fri Sep 25 2009 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdv2010.0
+ Revision: 448640
- new version
- update file list

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.11.2-2mdv2010.0
+ Revision: 440353
- rebuild for new goocanvasmm

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.11.2-1mdv2010.0
+ Revision: 439852
- update to new version 1.11.2

* Fri Sep 04 2009 Götz Waschk <waschk@mandriva.org> 1.11.1-1mdv2010.0
+ Revision: 430010
- new version
- new library api version
- update file list
- bump libgda dep

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 1.11.0-2mdv2010.0
+ Revision: 421533
- rebuild for new libgdamm

* Mon Jun 01 2009 Götz Waschk <waschk@mandriva.org> 1.11.0-1mdv2010.0
+ Revision: 381896
- new version
- bump gdamm dep

* Mon Jun 01 2009 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2010.0
+ Revision: 381860
- update to new version 1.10.1

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 1.10.0-2mdv2010.0
+ Revision: 371114
- rebuild for new goocanvasmm

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2009.1
+ Revision: 356491
- new version
- bump libgdamm4 dep

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2009.1
+ Revision: 353435
- new version
- bump gda dep
- new major
- update file list

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2009.1
+ Revision: 346911
- new version
- bump gdamm dep

* Sat Feb 28 2009 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2009.1
+ Revision: 346179
- new version
- bump gda dep

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 340852
- update to new version 1.9.1

* Fri Jan 30 2009 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2009.1
+ Revision: 335608
- new version
- update deps

* Mon Jan 05 2009 Götz Waschk <waschk@mandriva.org> 1.8.5-1mdv2009.1
+ Revision: 324962
- new version
- drop patch
- update build deps

  + Funda Wang <fwang@mandriva.org>
    - fix br

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1.8.4-2mdv2009.1
+ Revision: 318886
- fix dir
- rebuild for new python

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 1.8.4-1mdv2009.1
+ Revision: 316154
- update to new version 1.8.4

* Mon Dec 01 2008 Götz Waschk <waschk@mandriva.org> 1.8.3-2mdv2009.1
+ Revision: 308777
- patch to build with new goocanvasmm

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 1.8.3-1mdv2009.1
+ Revision: 308043
- New version 1.8.3
- back to gda 3.0

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdv2009.1
+ Revision: 306986
- fix build deps
- new version
- update deps

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 1.8.1-1mdv2009.1
+ Revision: 296560
- update to new version 1.8.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2009.1
+ Revision: 296084
- new version
- fix source URL
- bump goocanvasmm dep

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 1.7.2-3mdv2009.1
+ Revision: 293812
- rebuild for new bakery

* Sun Sep 14 2008 Funda Wang <fwang@mandriva.org> 1.7.2-2mdv2009.0
+ Revision: 284620
- rebuild
- New version 1.7.2

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 1.7.1-2mdv2009.0
+ Revision: 264246
- remove wrong gtksourceviewmm dep
- fix wrong gda-postgres dep

* Wed Jun 25 2008 Funda Wang <fwang@mandriva.org> 1.7.1-1mdv2009.0
+ Revision: 229095
- add missing BRs
- New version 1.7.1

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix summary
    - do not package COPYING file
    - spec file clean

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 09 2008 Funda Wang <fwang@mandriva.org> 1.6.17-1mdv2009.0
+ Revision: 204798
- New version 1.6.17
- New version 1.6.16

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 1.6.15-1mdv2009.0
+ Revision: 196794
- fix requires
- New version 1.6.15

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 1.6.7-1mdv2008.1
+ Revision: 161684
- bump gdamm3 requirement
- New version 1.6.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 1.6.6-1mdv2008.1
+ Revision: 120561
- New version 1.6.6

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.5-1mdv2008.1
+ Revision: 115354
- New release 1.6.5

* Mon Nov 19 2007 Funda Wang <fwang@mandriva.org> 1.6.4-1mdv2008.1
+ Revision: 110243
- New version 1.6.4

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.3-1mdv2008.1
+ Revision: 107004
- New release 1.6.3

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.2-1mdv2008.1
+ Revision: 100802
- New release 1.6.2
- New release 1.6.2

  + Funda Wang <fwang@mandriva.org>
    - fix libname

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 96798
- Fix BR
- fix
- Add files
- New release 1.6.1

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot
    - kill ldconfig require as requested by pixel
    - kill file require

  + Funda Wang <fwang@mandriva.org>
    - BR gnome-pyton-gda
    - New version

* Fri Apr 20 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 16114
- New release 1.4.3


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.2-1mdv2007.1
+ Revision: 150143
- New release

* Fri Mar 16 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.0-1mdv2007.1
+ Revision: 144725
- New version 1.4.0

* Sun Mar 11 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.12-1mdv2007.1
+ Revision: 141382
- New release 1.3.12
- Add Requires

* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.11-1mdv2007.1
+ Revision: 134981
- Build
- Build
- Build
- New release 1.3.11
- Add Patch for PostgreSQL
- Remove test on arch
- New release 1.3.10

* Sat Jan 06 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 104892
- Add BuildRequires
- Add iso-codes
- Fix bakery-devel BR
- Add BuildRequires
- Import glom

